# Expandable View

Expandable view that hides on a button at the bottom of the parent widget and expands when clicked to display a different widget.
Here is the [original author](https://medium.com/@ditclear/using-flutter-to-implement-the-ui-challenge-of-google-maps-aeb31fbd8107), I just made it responsive and usable.

## Getting Started

To use this plugin, add `expandable_view` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/). For example:

```yaml
dependencies:
  expandable_view: ^0.1.0
```

## Usage

Import the package:
```dart
import 'package:expandable_view/expandable_view.dart';
```

| Parameters | Description |
|------------|-------------|
| child | Widget (Not null) (required) |
| color | Color (optional)|
| gradient | Gradient (optional) |
| icon | IconData (Not Null) (required) |
| iconColor | Color (optional)|
| title | String (optional) |
| titleColor | Color (optional) |
| hasSafeArea | bool (optional) |
| hasAppBar | bool (optional) |

## Images

![](https://raw.githubusercontent.com/JosLuna98/expandable_view/master/screenshots/uno.png)
![](https://raw.githubusercontent.com/JosLuna98/expandable_view/master/screenshots/dos.png)
![](https://raw.githubusercontent.com/JosLuna98/expandable_view/master/screenshots/tres.png)
![](https://raw.githubusercontent.com/JosLuna98/expandable_view/master/screenshots/cuatro.png)
